Atualizar recebedor
curl --request PUT \
--url https://api.conta.paybeehive.com.br/v1/recipients/{recipientId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"legalName": "loja abc atualizado",
"email": "financeiro@lojaabc.com"
}
'import requests
url = "https://api.conta.paybeehive.com.br/v1/recipients/{recipientId}"
payload = {
"legalName": "loja abc atualizado",
"email": "financeiro@lojaabc.com"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({legalName: 'loja abc atualizado', email: 'financeiro@lojaabc.com'})
};
fetch('https://api.conta.paybeehive.com.br/v1/recipients/{recipientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"legalName": "netero isaac",
"document": {
"number": "12345678909",
"type": "cpf"
},
"transferSettings": {
"transferEnabled": true,
"automaticAnticipationEnabled": true,
"anticipatableVolumePercentage": 2
},
"bankAccount": {
"bankCode": "341",
"agencyNumber": "1234",
"accountNumber": "123456",
"accountDigit": "7",
"type": "conta_corrente",
"legalName": "minhalojinha",
"documentNumber": "12345678909",
"documentType": "cpf"
},
"email": "financeiro@lojaabc.com",
"id": 916,
"companyId": 287,
"tenantId": 1,
"createdAt": "2025-12-04T04:33:10.000Z",
"balance": {}
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}Recebedores
Atualizar recebedor
PUT
/
recipients
/
{recipientId}
Atualizar recebedor
Authorizations
basicAuthapiKeyAuth
Basic Authorization usando SECRET_KEY como usuário e "x" como senha.
Path Parameters
Body
application/json
Razão social / nome legal do recebedor (obrigatório).
Maximum string length:
50Example:
"loja abc atualizado"
Email do recebedor (opcional).
Example:
"financeiro@lojaabc.com"
Regras de transferência/antecipação (opcional no update).
Show child attributes
Show child attributes
Dados bancários (opcional no update).
Show child attributes
Show child attributes
Response
Recebedor atualizado
Razão social / nome legal do recebedor (obrigatório).
Maximum string length:
50Example:
"netero isaac"
Show child attributes
Show child attributes
Configurações retornadas pelo sistema (podem incluir campos adicionais).
Show child attributes
Show child attributes
Dados bancários do recebedor.
Show child attributes
Show child attributes
Email do recebedor (opcional).
Example:
"financeiro@lojaabc.com"
Example:
916
Example:
287
Example:
1
Example:
"2025-12-04T04:33:10.000Z"
Resumo de saldo do recebedor (pode variar por ambiente).
⌘I